b_nast++;
while (b_nast != 0)
{
  delay(100);
  enc1.tick();
  Serial.println(b_nast);
  switch (b_nast)
  {
    case 1:
      // настройка текущего времени
      disp.point(0);                                        // выкл точки
      hh = encod(hh, 23, 1, hh, mm);
      watch.settime(0, 0, hh);
    case 2:
      disp.point(0);                                        // выкл точки
      mm = encod(mm, 59, 0, hh, mm);
      watch.settime(0, mm);
    // настройка времени включения
    case 3:
      disp.point(1);                                        // вкл точки
      disp.displayClock(hhm, mmm);                          // выводим время
      hhm = encod(hhm, 23, 1, hhm, mmm);
      EEPROM.write(e_hon, hhm);                             // записываем в ЕЕПРОМ данные
    case 4:
      disp.point(1);                                        // вкл точки
      mmm = encod(mmm, 59, 0, hhm, mmm);
      EEPROM.write(e_mon, mmm);                             // записываем в ЕЕПРОМ данные
    case 5:
      disp.point(0);                                        // выкл точки (настройка времени выключения)
      disp.displayClock(hhe, mme);                          // выводим время
      hhe = encod(hhe, 23, 1, hhe, mme);
      EEPROM.write(e_hoff, hhe);                            // записываем в ЕЕПРОМ данные
    case 6:
      disp.point(0);                                        // выкл точки
      mme = encod(mme, 59, 0, hhe, mme);
      EEPROM.write(e_moff, mme);                            // записываем в ЕЕПРОМ данные
    case 7:
      b_nast = 0;                                           // выходим из настройки
  }
}
